Subject: Bug#4319: netbase and netstd packages overwrite config-files

From: Stefan Petters <[email-masked]>
Date: Wed, 28 Aug 1996 16:59:54 +0200 (MET DST)

Package: netstd and netbase

Upgrade from version 2.03-1 (each) to version netbase-2.04-1 netstd-2.06-1

Hi,

during the upgrade vom version 2.03-1 from netbase and netstd to
netbase-2.04-1 netstd-2.06-1 a number of config files were overwritten
without my confirmation and even without informing me. There were:

netbase:
	/etc/hosts.deny
	/etc/hosts.allow
	
netstd:
	/etc/hosts.equiv
	/etc/diphosts
	/etc/exports
	/etc/init.d/netstd_nfs
	/etc/init.d/netstd_misc

There may be more, which I didn't find since they aren't needed on my
systems. Especially the /etc/hosts.deny is very annoying, since I've to
admin a system of several Linices which are directly connected to the
internet and I don't want my boxes to stand wide open to several attacks (I
know you can't get it water proof if your connected to the net, but it
doesn't have to be that easy to get me wasting my time in recovering the
machines).

If I remeber right, there was a question like ``Do you want our new
config-files to be installed (y/n)?'' in several packages installing things
in /etc and /etc/init.d which was a good thing. Additional there were
backups build like fiename.{debian|dpkg-old} to recover changes made.

Is there any chance the packages are constructed that way again?

[BTW] Thanks for providing debian at all. I had experiance with a
slackware--system before I changed my systems to debian, and it's much
easier to admin debian but my old slackware.

Regards
	Stefan.
-- 
----------------------------------------------------------------------    
Stefan Petters               Lehrstuhl fuer Prozessrechner TU-Muenchen   -ooo
Arcisstr. 21                 Tel: 089/289-23556                         --oooo
80290 Muenchen               Fax: 089/289-23555                         ----oo
EMail: [email-masked]                              ---o 
----------------------------------------------------------------------